package com.zbf.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.DeviceLog;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author tony
 * @date 2024-10-22
 */
public interface DeviceLogMapper extends BaseMapper<DeviceLog> //修改
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public DeviceLog selectDeviceLogById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param deviceLog 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<DeviceLog> selectDeviceLogList(DeviceLog deviceLog);

    /**
     * 新增【请填写功能名称】
     *
     * @param deviceLog 【请填写功能名称】
     * @return 结果
     */
    public int insertDeviceLog(DeviceLog deviceLog);

    /**
     * 修改【请填写功能名称】
     *
     * @param deviceLog 【请填写功能名称】
     * @return 结果
     */
    public int updateDeviceLog(DeviceLog deviceLog);

    /**
     * 删除【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteDeviceLogById(Long id);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceLogByIds(Long[] ids);

    /**
     * 批量启用【请填写功能名称】
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableDeviceLogByIds(Long[] ids);

    /**
     * 批量禁用【请填写功能名称】
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledDeviceLogByIds(Long[] ids);

}
